# TM Viewer App

An application to demonstrate features of _TMDET Extension_.
(see `src/extensions/tmdet` for more details)

# Build

```
$ npm run build-tm
$ cp -vuR data/tmdet-example-annotations build/tm-viewer/tmdet-data
'data/tmdet-example-annotations' -> 'build/tm-viewer/tmdet-data'
'data/tmdet-example-annotations/1afo.json' -> 'build/tm-viewer/tmdet-data/1afo.json'
'data/tmdet-example-annotations/1a0s.json' -> 'build/tm-viewer/tmdet-data/1a0s.json'
'data/tmdet-example-annotations/2atk.json' -> 'build/tm-viewer/tmdet-data/2atk.json'
'data/tmdet-example-annotations/1xl4.json' -> 'build/tm-viewer/tmdet-data/1xl4.json'
'data/tmdet-example-annotations/1xl6.json' -> 'build/tm-viewer/tmdet-data/1xl6.json'
'data/tmdet-example-annotations/4x8a.json' -> 'build/tm-viewer/tmdet-data/4x8a.json'
'data/tmdet-example-annotations/6xvf.json' -> 'build/tm-viewer/tmdet-data/6xvf.json'
```

# Run

```
$ cd build/tm-viewer
$ npx http-server -a 127.0.0.1 -p 8000
```

Open `http://localhost:8000/` in web browser.

# Development mode

```
$ npm run watch-tm
```

# Authors

* Gabor Tusnady (tusnady.gabor at ttk.hu), Protein Bioinformatics Research Group, RCNS.
* Csongor Gerdan (gerdan.csongor at ttk.hu), Protein Bioinformatics Research Group, RCNS.

# License

Creative Commons Attribution-NonCommercial 4.0 International Public
License

Please see the LICENSE file for more details or visit
https://creativecommons.org/licenses/by-nc/4.0/.
